
Tooltron - Bug #1233

Cardbox hangs

04/03/2010 10:10 PM - Brad Neuman

Status: Fixed Start date: 04/03/2010

Priority: High Due date:  

Assignee: Kevin Woo % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Twice this issue has come up recently, and it seems to be a problem with the states in the card box

At some point the box stops responding to the server completely. When the user swipes, a yellow light does appear on the cardbox,

but a red light appears after (not sure if this is because of a timeout or not).

Both times resetting power to the entire system fixed it

History

#1 - 04/06/2010 06:28 PM - Brad Neuman

Just saw this issue again:

card swipe triggers yellow light, then regardless of button press, a timeout happens (although it seems like perhaps less than 10 seconds, not sure, I

didn't time it).

Interestingly, I connected using manualtron (without stopping tooltron) and pinged it and it responded just fine. Surprisingly, after the ping and a key

request (which times out because I was slow) the cardbox started working again.

This suggests there could be a bug in the server or perhaps the cardbox gets in a funny state and the ping and key request from manualtron resets it?

#2 - 04/09/2010 09:21 PM - Brad Neuman

- Status changed from Assigned to Fixed

fixed for now by allowing server to get key responses when it is expecting an ACK
